=== debian/changelog ===
fuse-archive (1.12-18deepin1) unstable; urgency=medium

  * import upstream v1.12-18 by 0b4c7e52dc247f24c08ed81273c52fdaaf2ad46d

 -- heysion <heysion@deepin.com>  Wed, 11 Jun 2025 13:12:33 +0800

fuse-archive (1.0-1) unstable; urgency=medium

  * Initial release

 -- Tsic404 <liuheng@deepin.org>  Sat, 28 Jan 2023 13:46:49 +0800
