=== debian/control ===
Source: fuse-archive
Section: unknown
Priority: optional
Maintainer: Tsic404 <liuheng@deepin.org>
Build-Depends: debhelper (>= 11), pkg-config, python3-dev, libarchive-dev, libfuse-dev, libfuse3-dev, libboost-dev, liblz4-dev, make, brotli, ncompress, lrzip, lzop
Standards-Version: 4.1.3
Homepage: https://github.com/deepin-community/fuse-archive

Package: fuse-archive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mount an archive as a FUSE file system
 Mount an archive or compressed file as a FUSE file system.
 Fuse-archive is a program that serves an archive or compressed file. 
 It is a FUSE file system that allows you to mount an archive or compressed file as a file system.
